form:
  fields:
    hero_title:
      type: spacer
      title: Hero Section

    header.hero_image:
      type: filepicker
      label: Hero Image
      preview_images: true
      toggleable: true
      description: 'If not specified, this defaults to the first image found in the page''s folder'

    header.hero_image_small:
      type: filepicker
      label: Hero Image (small variant)
      preview_images: true
      toggleable: true
      description: 'If not specified, this defaults to the first image found in the page''s folder'

    header.hero_autosize:
      type: toggle
      label: Hero Image Autosize
      dexcription: Resize image to cover the entire width
      default: 1
      highlight: 1
      options:
        1: Yes
        0: No
      validate:
        type: bool

    header.hero_vertical_position:
      type: text
      size: small
      label: Hero Image Vertical Position
      description: Vertical image position in %
      default: 0
      validate:
        type: number
        min: 0
        max: 100

    header.hero_horizontal_position:
      type: text
      size: small
      label: Hero Image Horizontal Position
      description: Horizontal image position in %
      default: 50
      validate:
        type: number
        min: 0
        max: 100

    header.hero_background_image:
      type: filepicker
      label: Hero Background Image
      preview_images: true
      toggleable: true

    header.hero_background_image_small:
      type: filepicker
      label: Hero Background Image (small variant)
      preview_images: true
      toggleable: true

    header.hero_background_color:
      type: colorpicker
      label: Hero Background Color
      toggleable: true

    header.hero_height:
      type: text
      size: small
      label: Hero Height
      description: Height in pixels
      default: 500
      validate:
        type: number
        min: 100
        max: 1000

    header.hero_height_small:
      type: text
      size: small
      label: Hero Height (small variant)
      description: Height in pixels
      default: 350
      validate:
        type: number
        min: 100
        max: 1000

    toggles_title:
      type: spacer
      title: Configuration

    header.blog_url:
      type: text
      label: Blog Route
      help: The route to this main blog page that contains this configuration
      default: '/blog'
      placeholder: '/blog'
      size: medium

    header.show_sidebar:
      type: toggle
      label: Show Sidebar
      highlight: 1
      default: 1
      options:
        1: PLUGIN_ADMIN.ENABLED
        0: PLUGIN_ADMIN.DISABLED
      validate:
        type: bool

    header.show_breadcrumbs:
      type: toggle
      label: Show Breadcrumbs
      highlight: 1
      default: 1
      options:
        1: PLUGIN_ADMIN.ENABLED
        0: PLUGIN_ADMIN.DISABLED
      validate:
        type: bool

    header.show_pagination:
      type: toggle
      label: Show Pagination
      highlight: 1
      default: 1
      options:
        1: PLUGIN_ADMIN.ENABLED
        0: PLUGIN_ADMIN.DISABLED
      validate:
        type: bool
